/*-------------------------------------------------------------------------+
| Copyright 2016 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.exploration.alg.graph;

import java.util.HashSet;
import java.util.Set;

import org.jgrapht.graph.DefaultEdge;

/**
 * Edge to represent the in- and output types of an operation to calculate the operation's
 * dependencies.
 *
 * @author diewald
 */
public class DependencyEdge<T> extends DefaultEdge {

	/** The dependency represented by {@code this} edge. */
	Set<T> elements = new HashSet<>();

	/** Sets the dependency represented by {@code this} edge. */
	public void addDecoder(T element) {
		elements.add(element);
	}

	/** Returns the dependency represented by {@code this} edge. */
	public Set<T> getElements() {
		return elements;
	}
}
